at.chipkarte.client.base.soap

## Class BaseProperty

- Object
- - at.chipkarte.client.base.soap.BaseProperty

- Direct Known Subclasses:
    SvtProperty

      public class BaseProperty
      extends Object

  Enthält Daten zu verschiedenen Codewerten, die an der Schnittstelle verwendet werden.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseProperty()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Schlüsselwert (Code, Key) der Property.
    `String` | `getText()` Beschreibender Text der Property.
    `Boolean` | `isNurAnzeige()` Flag zur Angabe, ob die Property nur angezeigt werden kann (informativ) oder ob sie auch als Inputparameter für Funktionen dienen kann.
    `void` | `setCode(String code)`
    `void` | `setNurAnzeige(Boolean nurAnzeige)`
    `void` | `setText(String text)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseProperty

          public BaseProperty()

  - ### Method Detail

    - #### setCode

          public void setCode(String code)

    - #### setNurAnzeige

          public void setNurAnzeige(Boolean nurAnzeige)

    - #### setText

          public void setText(String text)

    - #### getCode

          public String getCode()

      Schlüsselwert (Code, Key) der Property. Dieser dient als Referenz in anderen Funktionen.
      Returns:
        Code der Property

    - #### isNurAnzeige

          public Boolean isNurAnzeige()

      Flag zur Angabe, ob die Property nur angezeigt werden kann (informativ) oder ob sie auch als Inputparameter für Funktionen dienen kann.
      Returns:
        Anzeige-Flag

    - #### getText

          public String getText()

      Beschreibender Text der Property. Dieses Attribut kann auch leer sein, in diesem Fall ist nur der `Code` relevant.
      Returns:
        Text